Tag: angular-cli

Die Winkel-CLI ist ein Kommandozeilen-Schnittstelle für das erstellen, verwalten und bereitstellen von Winkel (version 2+) – Anwendungen.

Mit Winkel-CLI erstellen kopieren einer Datei / Verzeichnis

Anzahl der Antworten 2 Antworten
Ist es eine Möglichkeit zu eckig-cli-s ng buil --prod Befehl zum kopieren einer Datei/Verzeichnis zu den dist-Ordner? Mein Projekt enthält einen Ordner "server", und eine "config.js" Datei im root, und ich muss Sie kopiert werden, um "dist",

Cannot read property 'config' von null

Anzahl der Antworten 3 Antworten
Ich bin neu in angular2. Heruntergeladen habe ich eckige 2-Projekt und versucht, die setup. Ich installierte Winkel-cli-1.0.0-rc.2 und wenn ich das Tue, ng dienen, es zeigt die folgende Fehlermeldung: Cannot read property 'config' null TypeError: Cannot read

Was ist der Zweck der ng Auswerfen?

Anzahl der Antworten 2 Antworten
Den Dokumentation ist sehr kurz mit diesem Thema: ng eject wirft Ihre app und geben die richtigen webpack-Konfiguration und Skripte Was ist der Zweck dieses Befehls? InformationsquelleAutor John-Philip | 2017-05-22

ng nicht anerkannt wird als Befehl interne oder externe. Jenkins + Winkel-CLI

Anzahl der Antworten 5 Antworten
Ich bin versucht, setup-Jenkins für eine Eckige CLI-Projekt. Ich habe installiert, Knoten-und Winkel-Cli auf dem Jenkins-server unter einem bestimmten Benutzer-account. wenn ich öffnen Sie eine Eingabeaufforderung auf dem server ein führen Sie die folgenden Befehle, um zu

Rufen Sie "ng bauen," von innen einen Schluck Aufgabe

Anzahl der Antworten 1 Antworten
Ich bin mit Winkel-cli in meinem Projekt.Ich möchte hinzufügen, dass einige gulp-tasks für das deployment. Ist es möglich für mich zu nennen, "ng bauen," von innen einen Schluck Aufgabe ? Waren Sie jemals in der Lage, damit

Winkel-4 Bootstrap-4 nicht korrekt wiedergegeben

Anzahl der Antworten 3 Antworten
Habe ich einen frisch erstellten Winkel-4 CLI-app mit den folgenden Paketen installiert: npm install [email protected] jquery tether popper.js --save .Winkel-cli.json-Extraktion: "styles": [ "styles.css", "../node_modules/bootstrap/dist/css/bootstrap.min.css" ], "scripts": [ "../node_modules/jquery/dist/jquery.slim.min.js", "../node_modules/tether/dist/js/tether.min.js", "../node_modules/popper.js/dist/umd/popper.min.js", "../node_modules/bootstrap/dist/js/bootstrap.min.js" ], Mit diesem setup habe ich

So ordnen Sie ein checkbox-Wert zu Eckige form-control-name?

Anzahl der Antworten 2 Antworten
Will ich weisen Sie das Kontrollkästchen Wert anstelle von true oder false. Wie kann ich das erreichen? <input formControlName="ota" value="OTA" type="checkbox"> ähnliche Frage stackoverflow.com/questions/43154299/... aber das funktioniert nicht. ich bin mit formcontrol InformationsquelleAutor Karty | 2017-11-09

Winkel-CLI erstellen mit dem base-href-und deploy-url-Zugriff auf assets auf CDN

Anzahl der Antworten 3 Antworten
Hintergrund Ich bin mit Winkel-CLI, um ein Projekt erstellen (mit verschiedenen apps). Ich möchte zum veröffentlichen von apps, die auf separaten sub-Pfade an meine domain, wie example.com/apps/app1/. Wenn ich die --base-href parameter /apps/app1/ es löst alle Fragen

Umfassen @fortawesome/fontawesome Schwenk-cli-Projekt

Anzahl der Antworten 1 Antworten
Ich versuche, font awesome 5 auf meiner Winkel-cli Projekt (1.6.0) mit Winkel - >5.0.0. Ich (wie beschrieben): yarn config set @fortawesome:registry https://npm.fontawesome.com/xxxxx-xxxx-xxx-xxx-xxxxxxx yarn add @fortawesome/fontawesome yarn add @fortawesome/fontawesome-pro-light Wird es die Pakete erfolgreich. Nun ich möchte das

ng-cli nicht Komponenten hinzufügen, um die app-Modul

Anzahl der Antworten 2 Antworten
Ich habe ein problem mit einer Komponente generation mit anglular-cli ng-cli hinzufügen nicht den brand-neuen erstellt-Komponente auf die app-Modul: $ ng g component Try installing component create src\app\try\try.component.css create src\app\try\try.component.html create src\app\try\try.component.spec.ts create src\app\try\try.component.ts update src\app\app.module.ts No

Wie zu zwingen, Winkel-cli zu dienen, die die bundle-Dateien von einem absoluten Ort dann eher base-href

Anzahl der Antworten 2 Antworten
Ich habe Mühe mit dem bereitstellen von Winkel-4 Projekt erstellt mit cli, um eine Spring-boot-server. In der .Winkel-cli.json ich Hinzugefügt outdir-Eigenschaft, die Punkte zu einem benutzerdefinierten Ordner im Frühjahr webapp-Ordner, die direkt in den server (webapp/main). Den

Installation Winkel 5, über die CLI-version

Anzahl der Antworten 2 Antworten
Ich bin mit Ubuntu 18 und wollen zu Beginn der Winkel-5 Projekt und deshalb habe ich installiert, Node, npm, Typoskript und schließlich die die aktuelle stabile Eckige CLI-von unten Befehl, sudo npm install -g @angular/cli So, es

Winkel-CLI: Ändern-REST-API-URL auf bauen

Anzahl der Antworten 3 Antworten
Möchte ich entfernen meinen lokalen server-Präfix von meinem REST-API-URLs (Beispiel http://localhost:8080) bei der Gebäude für die Produktion (ng build --prod). Ich bekommen, dass es etwas mit der Umwelt zu tun Datei environment.prod.ts, aber finde keine Beispiele, dass

Bootstrap-4 beta 3 Fehler mit Winkel-cli

Anzahl der Antworten 4 Antworten
Ich erhalte folgende Fehlermeldung beim aktualisieren meiner bootstrap-Paket 4.0.0-beta.3. Lassen Sie mich wissen, wenn ich bin fehlt etwas. Es funktioniert mit der beta.2 "@angular/animations": "^5.1.2", "@angular/common": "^5.1.2", "@angular/compiler": "^5.1.2", "@angular/core": "^5.1.2", "@angular/forms": "^5.1.2", "@angular/http": "^5.1.2", "@angular/platform-browser": "^5.1.2",

Wie man ngModel Wert des Eingabe-tag in eine Komponente in angularjs4?

Anzahl der Antworten 4 Antworten
Ich bin neu angularjs4. Ich arbeite auf angular-cli.Hier muss ich, um den Wert eines ngModel Wert des Eingabe-tag in meine Komponente.Wie kann ich erreichen, dass der eingegebene Wert im input-Feld?Mit diesem Wert muss ich schreiben, ein filter

Upgrade-Eckige version (jetzt: 2.4.3 oder 4.0.0-beta.3) nach dem best-practice?

Anzahl der Antworten 3 Antworten
Nun, dass Winkel ist nach einem Semantic Versioning, und Angular2.4.3 veröffentlicht wurden, ich bin ein wenig verwirrt hier auf, was ist die beste Praxis, wenn ich ein upgrade auf die nächste Eckigen version in ein bestehendes Projekt.

Winkel-cli niedrigere version lokal

Anzahl der Antworten 4 Antworten
Ich eine neue version von angular-cli Global installiert. Die version ist wie folgt. C:\Users\W055013\kumar\learn\rx>ng --version As a forewarning, we are moving the CLI npm package to "@angular/cli" with the next release, which will only support Node 6.9

Setup-Winkel-cli den Aufbau der Produktion tfs

Anzahl der Antworten 3 Antworten
Lokal mein Projekt baut gut mit ng bauen-prod aber wenn ich es einrichten auf dem tfs (team foundation server) mit dem folgenden powershell-Skript aus, er schlägt mit einigen Fehlern. ps Skript: npm install npm run ng build

Was sind alle die Winkel-cli.json-Optionen?

Anzahl der Antworten 1 Antworten
Brauche ich zum aktualisieren der angular-cli.json Konfiguration der Einstellungen für einen @angular/cli Projekt, das ich geerbt, aber die Winkel-CLI-Wiki keine Informationen über den Inhalt der JSON-Datei, noch eine der verfügbaren Optionen. Wie bekomme ich eine Liste aller

Fehler beim erstellen eines neuen Projekts mit Winkel-CLI 6.1.2

Anzahl der Antworten 6 Antworten
Habe ich versucht die Schaffung einer neuen Angular-Projekt mit ng new angular-6-boilerplate aber ich kann es nicht mehr mit angular-cli neueste version. Ich bin mit terminal für windows zu erstellen, die mein Projekt, aber ich habe diesen

kompilieren weniger-Datei mit angular2 cli

Anzahl der Antworten 3 Antworten
Habe ich folgende Einstellungen innerhalb eckig-cli-bauen Angular2App(defaults,{ lessCompiler: { includePaths: [ 'src/app' ], } }) Ich'have zwei test-weniger-Dateien in src Verzeichnis. test1.weniger //some code test2.weniger @import "test1.less"; wenn ich ng build das Projekt wirft es einen Fehler

Angular2 - Angular-CLI installieren lodash - Modul Nicht finden kann

Anzahl der Antworten 5 Antworten
Mac OSX El capitan | Winkel-cli: 0.1.0 | node: 5.4.0 | os: darwin x64 Ich versuche die Installation einer 3rd-party-npm-Modul entsprechend der Winkel-cli-wiki: https://github.com/angular/angular-cli/wiki/3rd-party-libs aber nicht. Ich habe gekämpft, mit diesem nun seit Tagen und wäre dankbar

Benutzerdefinierten generierten Dateinamen mit Winkel-Cli

Anzahl der Antworten 6 Antworten
Mit Winkel-cli die Bauten-Dateiname ist main.[hash].bundle.js bei der Verwendung ng build -prod Ist es möglich, entfernen Sie das hash-form mit dem Namen. Also einfach main.bundle.js? InformationsquelleAutor sneeky | 2016-09-27

ERHALTEN http://localhost:4200/ 404 (Nicht Gefunden) nach dem NG Servieren

Anzahl der Antworten 5 Antworten
Ich habe keine Ahnung, was hier passiert. Er arbeitete wochenlang ohne ein Problem und die Anwendung funktioniert immer noch auf meinem laptop, aber sobald ich ziehen neue änderungen auf meinem desktop und starte meine app bekomme ich

FEHLER in node_modules/rxjs-compat/Betreiber/shareReplay.d....ts(2,10): Fehler TS2305:

Anzahl der Antworten 5 Antworten
Ich versuche, ein upgrade einer basic-Winkel-Skelett-app von Winkel 5 Winkel 6 und hier ist das Problem, ich komme über Sie beim ausführen der app : ERROR in node_modules/rxjs-compat/operator/shareReplay.d.ts(2,10): error TS2305: Module '"C:/newAdmin/testing-front-end/admin-fe/node_modules/rxjs/internal-compatibility/index"' has no exported member 'ShareReplayConfig'.

@Typen/googlemaps/index.d....ts' ist nicht ein Modul

Anzahl der Antworten 7 Antworten
Möchte ich verwenden die Google Maps API mit meinem Winkel-Projekt, und deshalb habe ich diese beiden Befehle zum installieren von npm Paketen: npm install @agm/core --save-dev npm install @types/googlemaps --save-dev Fügte ich diese Zeile in meine Komponente:

Eine einzelne test-Datei

Anzahl der Antworten 4 Antworten
Gibt es eine Möglichkeit zu laufen ng test für eine einzelne Datei und nicht für die gesamte test-suite? Im Idealfall würde ich mag, um die Schnellste mögliche feedback-Schleife, wenn ich eine Datei Bearbeiten, aber karma führt die

npm installieren eckig/cli-Fehler

Anzahl der Antworten 5 Antworten
Knoten -v 8 und npm -v 5. Versucht zu installieren, eckig/cli weltweit von gestern. Vor neuen Fehler jedes mal. Vipins-Air:~ vipingupta$ sudo npm install-g @eckig/cli npm ERR! code ETIMEDOUT npm ERR! errno ETIMEDOUT npm ERR! Netzwerk-Anfrage an

Keine Access-Control-Allow-Origin für Winkel-cli "localhost:4200"

Anzahl der Antworten 2 Antworten
Ich habe ein problem mit CORS und die benötigten Header. Setup Ich betreibe eine eckige Projekt-und angular-cli (localhost:4200) ich möchte Zugriff über einen HTTP-Request ein JSON von einem WebService. Wenn ich über die URL direkt in den

Gewusst wie: entfernen Paket mit Winkel-CLI?

Anzahl der Antworten 3 Antworten
Winkel 6 hat neuen CLI-Befehl ng add <package>. Wie kann ich Sie entfernen das Paket mit Winkel-CLI? UPDATE Dokumentation ng add wird, nutzen Sie Ihre Paket-manager, laden Sie neue Abhängigkeiten, und rufen Sie ein Installations-script (implementiert als

Mehrere Formulare in eine einzige html-angular2

Anzahl der Antworten 2 Antworten
Ich habe den folgenden code : HTML: <md2-dialog #techniciansDialog> <md2-dialog-title color="primary">Técnicos</md2-dialog-title> <form #technicianForm="ngForm"> <div style="display: table; width: 100%;"> <div style="display: table; width: 100%;"> <div style="vertical-align:middle; width:50%; display: table-cell;"> <md-input-container> <input mdInput [(ngModel)]="technician.name" name="nameTechnician" type="text" placeholder="Nome" required> </md-input-container>

Winkel-Karma, Jasmine Error: Illegal Status: Konnte nicht geladen, in der Zusammenfassung nach der Richtlinie

Anzahl der Antworten 6 Antworten
Entwickle ich ein github-repository (mit Winkel 7 und eckig-cli), und ich habe einige tests mit Karma und Jasmine arbeiten im master-Zweig. Nun bin ich versucht, hinzuzufügen lazy loading-Funktion, die Sache ist die, dass die tests, die vorher

Externe Bibliotheken laden von CDN mit Winkel-cli

Anzahl der Antworten 3 Antworten
Ich würde gerne verwenden Sie die Winkel-cli, um eine app zu erstellen, die bundles, die meine app-code, jedoch nicht die Angular2-Frameworks oder andere große externe JavaScript-Bibliotheken, die in der gebündelten code. Ich würde gerne laden Sie diese

haben Sie ein neues Projekt, aber wenn ng dienen, bekomme ich Fehler

Anzahl der Antworten 6 Antworten
Muss ich ändern das Thema, ich kann nicht nach "neues Thema". Ich habe das Skript Bearbeiten, und installieren Sie neue Paket. Ich bekomme immer noch Fehler, aber nicht die, die ich letzten post. _ _ _ __

Debug-Tests in NG Test

Anzahl der Antworten 5 Antworten
Ich bin mit Winkel-CLI und VS code, aber keiner meiner breakpoints in meinem spec-Dateien zu sein scheinen immer auf, wenn ich Lauf ng-test? Muss ich tun, einige config? haben Sie versucht, debugging per chrome-dev-tools? Sie können dies

Winkel - Verbindung zum Proxy-server und bekommt die Antwort, aber zeigt dann Fehler aufgetreten, während versucht, proxy für: localhost, um den tatsächlichen server

Anzahl der Antworten 2 Antworten
Ich bin neu Eckig(2,4). Ich habe versucht, eine Verbindung zum proxy-server. Hinzugefügt proxy.config.json im Projekt-root-Verzeichnis { "/api/*": { "target": "http://<server_ip_address>:<port>", "secure": false, "changeOrigin": true, "logLevel": "debug" } } Dann die proxy-config im start im Paket.json "scripts": {

Ubuntu-16 nicht erkennt ng-Befehle

Anzahl der Antworten 12 Antworten
Dem Programm 'ng' ist derzeit nicht installiert. Sie können es installieren, indem Sie eingeben: sudo apt install ng-common Habe ich keine Fehler während der installation, wie kann ich dieses Problem beheben? Edit: das passiert, wenn ich versuche

Winkel-AOT-Kompilierung Fehler "nicht feststellen-Modul für die Klasse Komponente"

Anzahl der Antworten 4 Antworten
Habe ich eine Eckige (4.3.2) Anwendung, auf die ich durchführen möchten AOT bauen. App wurde erstellt mit @angular/cli. Ich habe zwei Komponenten eingerüstet mit ng generate und ein Modul, in dem beide enthalten sind, als eine Erklärung:

Winkel-4 ng dienen --prod vs ng dienen

Anzahl der Antworten 3 Antworten
Kurz, ich habe eine app, die 4.6 MB ng dienen. Wenn ich das mache: ng dienen --prod Bekomm ich 1MB Dateigröße. Jedoch, die --prod irgendwie machen meine gesamte Anwendung brechen. Mein ganzes Dienstleistungen (verspricht basiert), die senden

Eckige installation

Anzahl der Antworten 10 Antworten
Ich installieren möchten, Eckige version 4.* auf meinem windows 7. Ich bin derzeit mit Eckigen version 1.6.* Ich versucht, folgenden Befehl npm install @angular/{common,compiler,compiler-cli,core,forms,http,platform-browser,platform-browser-dynamic,platform-server,router,animations}@next --save Sondern seine nicht funktioniert Kann einer bitte führe mich zu installieren und

Wie schalte ich Quelle Karten für Winkel-6 ng-test?

Anzahl der Antworten 3 Antworten
Ich versuche, schalten Sie sourcemaps bei meinen tests in Eckige 6. Ich weiß, die sourcemaps-Schalter entfernt wurde, z.B. ng test --sourcemaps=false. Ich habe versucht, das ändern meiner tsconfig-Datei: { "extends": "../tsconfig.json", "compilerOptions": { ... "sourceMap": false },

Angular4 immer erforderlich, dass Browser-Cache Reinigen

Anzahl der Antworten 2 Antworten
Ich habe eine web-Anwendung in einer Produktionsumgebung. Die Benutzer verwenden es jeden Tag, wenn ich ein update veröffentlichen, und ein Benutzer kommt zurück, um die web-Anwendung er/Sie Aussicht auf die alte version der web-Anwendung. Er aktualisieren muss

ng dienen nicht funktioniert

Anzahl der Antworten 9 Antworten
Ich verwendet, um Winkel-cli, aber ich irrtümlich installiert es wieder mit npm install -g angular-cli und wenn ich jetzt laufen ng serve es beschwert sich: It seems like you're using a project generated using an old version

Erhalte eine Fehlermeldung: "keine exportiert Mitglied AngularFire, AuthProviders, AUthMethods, FirebaseListObservable" in AngularFire2?

Anzahl der Antworten 2 Antworten
Ich bin neu Eckig 4, also ich bin erstellen einer FB-chat-app mit Angular 4, und wenn ich dann importieren Sie einzelne Module wie diese: import { AngularFire, AuthProviders, AuthMethods,FirebaseListObservable } from 'angularfire2'; Bekomme ich eine Fehlermeldung für

Wie mein Winkel-Website auf einem mobilen Gerät ausgeführt wird localhost auf meinem windows-desktop

Anzahl der Antworten 6 Antworten
Weiß ich aus diesem Frage-und Antwort-auf die Super-User - Website auf localhost auf dem desktop ist nicht erreichbar, auf android-Gerät (PS: dieser Frage weiterhin auf die Frage im link), dass der Befehl ng serve öffnet ein schlecht

Ich kann nicht fügen Sie die neue Komponente mit Winkel-cli in asp.net Kern spas

Anzahl der Antworten 8 Antworten
Möchte ich noch hinzufügen einer neuen Komponente in asp.net core 2.0 SPAs mit Winkel 4 mit Winkel-cli mit dieser version: @eckig/cli: 1.4.2 Knoten: 8.4.0 os: Linux x64 wenn ich diesen Befehl ausführen ng g c vehicle-form auf

AngularCli-build und server --aot vs --prod

Anzahl der Antworten 4 Antworten
Bin ich mit der Konvertierung eines Angular2 - app mit commonjs für JiT und den alten Weg der manuellen Konfiguration von aot (zwei index.html Dateien, zwei Haupt.ts-Dateien, etc) auf die angular4 cli-Vorlage (ng new appName). Es scheint,

Wie downgrade Winkel-CLI-version?

Anzahl der Antworten 3 Antworten
Ich bin neu im Winkel 4, und ich habe angesichts dieser Fehler, Your global Angular CLI version (6.0.1) is greater than your local version (1.4.1). The local Angular CLI version is used. können Sie bitte helfen Sie

"Fehler: Kein provider für Overlay!"

Anzahl der Antworten 5 Antworten
In meinem Angular 2.0.0-rc.7 + Angular Material 2.0.0-alpha.8-1 Anwendung gebaut, mit Angular CLI 1.0.0-beta.11-webpack.9-1, bekomme ich die folgende Fehlermeldung nach dem Upgrade von rc.5+alpha.7-4 (über die 1.0.0-beta.11-webpack.8 NG CLI): main.bundle.js:44545 Error: No provider for Overlay! at NoProviderError.Error

Wie installiere ich die angular-cli auf ubuntu 16,04?

Anzahl der Antworten 4 Antworten
Ich stehe vor einem Problem der Installation von angular-cli-lokal. Ich bin auf Ubuntu 16.04.2 LTS mit folgenden Versionen von node.js und npm: node: v7.10.0 npm: 3.10.10 Habe ich versucht zu installieren angluar-cli verwenden Sie den folgenden Befehl: